# Struct libc::timeval [−] [src]

    pub struct timeval {
        pub tv_sec: c_long,
        pub tv_usec: c_long,
    }

## Fields

`tv_sec` |
`tv_usec` |

## Trait Implementations

### `impl Copy for timeval`

### `impl Clone for timeval`

#### `fn clone(&self) -> timeval`

#### `fn clone_from(&mut self, source: &Self)`1.0.0

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)